Results 1 to 8 of 8

Thread: LibeOffice 6.1

  1. #1

    Default LibeOffice 6.1

    Am I missing something or am I just a bit too fast. It looks like there is no native mysql driver for LibreOffice 6.1. I checked repo at
    http://download.opensuse.org/reposit...p_15.0/x86_64/
    but there is none, only for postgresql and firebird. The last stable release in LibreOffice 6.0 series still comprise libreoffice-base-drivers-mysql-6.0.5.2-lp150.10.3.x86_64.rpm driver.
    So, do I only have to wait for the mysql driver to appear in the LibreOffice 6.1 repo, or is it mysql support dropped.

    Thanks for any tip.

  2. #2
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,551

    Default Re: LibeOffice 6.1

    There's no mention of the MySQL driver for base being dropped in the LibreOffice 6.1 release notes: <https://wiki.documentfoundation.org/ReleaseNotes/6.1>.

  3. #3

    Default Re: LibeOffice 6.1

    Quote Originally Posted by dcurtisfra View Post
    There's no mention of the MySQL driver for base being dropped in the LibreOffice 6.1 release notes: <https://wiki.documentfoundation.org/ReleaseNotes/6.1>.
    I know that support for mysql per se has not been dropped. However, there is rather a problem with opensuse Leap 15.0 and Libreoffice and mysql. I posted a question with this regard this year some time ago. The problem is that LO, produced by LO Document Foundation, since version 6.0.1 does not support native mysql drivers that is freely obtainable on the net. Therefore, I switched to LO supplied by opensuse and it worked fine up to LO 6.1. Now, as I mentioned in my original post, there is no sign of mysql driver. Maybe it will appear some time in the future, I don't know, that's why I am raising the question.

  4. #4
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,551

    Question Re: LibeOffice 6.1

    Quote Originally Posted by krpan View Post
    Maybe it will appear some time in the future, I don't know, that's why I am raising the question.
    Found it: <https://build.opensuse.org/package/v...anges?expand=1> <<-- <https://build.opensuse.org/package/s....1/libreoffice>
    Thu Jun 7 11:01:54 UTC 2018 - tchvatal@suse.com
    - Disable base-drivers-mysql as it needs mysqlcppcon that is only for mysql and not mariadb, causes issues bsc#1094779
    * Users can still connect using jdbc/odbc
    But, there's something weird going on here -- with a standard Leap 15.0 installation:
    Code:
     > zypper search --installed-only cppcon
    Loading repository data...
    Reading installed packages...
    
    S | Name             | Summary                                                               | Type
    --+------------------+-----------------------------------------------------------------------+--------
    i | libmysqlcppconn7 | MySQL Connector/C++: Standardized database driver for C++ development | package
     > zypper info libmysqlcppconn7
    Loading repository data...
    Reading installed packages...
    
    
    Information for package libmysqlcppconn7:
    -----------------------------------------
    Repository     : Haupt-Repository (OSS)
    Name           : libmysqlcppconn7
    Version        : 1.1.9-lp150.2.5
    Arch           : x86_64
    Vendor         : openSUSE
    Installed Size : 680.6 KiB
    Installed      : Yes (automatically)
    Status         : up-to-date
    Source package : mysql-connector-cpp-1.1.9-lp150.2.5.src
    Summary        : MySQL Connector/C++: Standardized database driver for C++ development
    Description    :
        MySQL Connector/C++ is a MySQL database connector for C++ development. The
        MySQL driver for C++ can be used to connect to MySQL from C++ applications. The
        driver mimics the JDBC 4.0 API. It implements a significant subset of JDBC 4.0.
    
        The Driver for C++ is designed to work best with MySQL 5.1 or later. Note - its
        full functionality is not available when connecting to MySQL 5.0. You cannot
        connect to MySQL 4.1 or earlier.
    
     > rpm -ql libmysqlcppconn7
    /usr/lib64/libmysqlcppconn.so.7
    /usr/lib64/libmysqlcppconn.so.7.1.1.9
     >
    Maybe a bug report against openSUSE's LibreOffice build?

  5. #5

    Default Re: LibeOffice 6.1

    I check LibreOffice repository on a daily basis. It looks like LO 6.1 is developing nicely. With one major exception. No mysql/mariadb driver is present, only postgresql and firebird. Does this mean that openSUSE siently gave up on further development of native driver for mysql/mariadb. That would be a big shame, many of opensuse users use both LO and native mysql/mariadb driver, a so called SDBC, I am sure. If this is true, that I will have to consider using another Linux distribution, since I have read that this problem exists on opensuse only. Pity, cause in years I became quite used to opensuse distribution.

  6. #6
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,551

    Unhappy Re: LibeOffice 6.1

    Quote Originally Posted by krpan View Post
    Does this mean that openSUSE siently gave up on further development of native driver for mysql/mariadb.
    I don't think so.
    • If the LO support for MariaDB has to be dropped because a required SQL interface only supports MySQL then, this sort of thing is usually documented in the Release Notes.
    • Please raise a Bug Report to a) ensure that the dropped support is entered into the Release Notes and b) to flag the need to investigate the LibreOffice SQL interface.

  7. #7

    Default Re: LibeOffice 6.1

    Quote Originally Posted by dcurtisfra View Post
    I don't think so.
    • If the LO support for MariaDB has to be dropped because a required SQL interface only supports MySQL then, this sort of thing is usually documented in the Release Notes.
    • Please raise a Bug Report to a) ensure that the dropped support is entered into the Release Notes and b) to flag the need to investigate the LibreOffice SQL interface.
    My guess is that raising bug would make no difference. No version of LO 6.1 in any of the opensuse repositories comprise libreoffice-base-drivers-mysql, only firebird and postgresql. Therefore, one would believe mariadb/mysql support of native connectors is gone.

    I am well aware of JDBC connectors, however, I have numerous templates and queries prepared by means of a native connector meaning that switching to JDBC would be a nightmare.

  8. #8
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,841
    Blog Entries
    14

    Default Re: LibeOffice 6.1

    Quote Originally Posted by krpan View Post
    My guess is that raising bug would make no difference. No version of LO 6.1 in any of the opensuse repositories comprise libreoffice-base-drivers-mysql, only firebird and postgresql. Therefore, one would believe mariadb/mysql support of native connectors is gone.

    I am well aware of JDBC connectors, however, I have numerous templates and queries prepared by means of a native connector meaning that switching to JDBC would be a nightmare.
    Eh, I defnitely would raise a bug, and ask others to confirm this bug. Many professional LO users ( some of them even ignorant about it ) use it. Another option for you might be to use the open buildservice, branch the package and go trough the spec file to see where the build is disabled. Or ask the maintainer, i.e. Tomas Cvatal , see previous posts.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •